<div>
  <h2 id="page-heading" data-cy="PosUserHeading">
    <span jhiTranslate="jokegeneratorApp.posUser.home.title">Pos Users</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="loadPage()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="jokegeneratorApp.posUser.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-pos-user"
        [routerLink]="['/pos-user/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="jokegeneratorApp.posUser.home.createLabel"> Create a new Pos User </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="posUsers?.length === 0">
    <span jhiTranslate="jokegeneratorApp.posUser.home.notFound">No posUsers found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="posUsers && posUsers.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="loadPage()">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
          <th scope="col" jhiSortBy="firstName">
            <span jhiTranslate="jokegeneratorApp.posUser.firstName">First Name</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="lastName">
            <span jhiTranslate="jokegeneratorApp.posUser.lastName">Last Name</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="birthDay">
            <span jhiTranslate="jokegeneratorApp.posUser.birthDay">Birth Day</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="email">
            <span jhiTranslate="jokegeneratorApp.posUser.email">Email</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let posUser of posUsers; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/pos-user', posUser.id, 'view']">{{ posUser.id }}</a>
          </td>
          <td>{{ posUser.firstName }}</td>
          <td>{{ posUser.lastName }}</td>
          <td>{{ posUser.birthDay | formatMediumDatetime }}</td>
          <td>{{ posUser.email }}</td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/pos-user', posUser.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/pos-user', posUser.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(posUser)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="posUsers && posUsers.length > 0">
    <div class="d-flex justify-content-center">
      <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
    </div>

    <div class="d-flex justify-content-center">
      <ngb-pagination
        [collectionSize]="totalItems"
        [(page)]="ngbPaginationPage"
        [pageSize]="itemsPerPage"
        [maxSize]="5"
        [rotate]="true"
        [boundaryLinks]="true"
        (pageChange)="loadPage($event)"
      ></ngb-pagination>
    </div>
  </div>
</div>
